Subject: [Pce] New revision: I-D Action: draft-ietf-pce-inter-layer-ext-10.txt

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 20 Oct 2016 00:01:30 +0100

Hi PCE WG,

I just made the changes for my own review from WG last call.

Dhruv asked for additional work...

> I personally have no objection if the document is now updated to include
> stateful PCE extensions as well, as suggested below by Adrian. 
> Though I would like if some more meat is added about stateful PCE, if the WG
agrees - 
>
>-          Section 2 Overview
>-          Section 3.x objects -> the usage and meaning of flags etc are with
respect to PCReq/PCRep only
>-          Some more text in the new proposed section 4.3 so that it matches
with similar details in section 4.1 and 4.2
>-          Section 5, we would need RBNF for stateful PCE messages as well as
updated PCReq/PCRep for passive stateful

I have not made specific changes beyond what I had previously suggested.

Dhruv, Do you have specific text suggestions?

Thanks,
Adrian

---

From: Dhruv Dhody <[email-masked]>
Date: Thu, 20 Oct 2016 10:26:26 +0000

Hi Adrian, 

I have added some suggested text (see diff), please check if you agree with it! 

I have also added <LSP> object in PCReq/PCRep for passive stateful operations. 
I also changed the order of <of-list> to match the order of OF before, as set by RFC5541. Hope that's okay?

One more question regarding SERVER-INDICATION, is this applicable in stateful PCE? Perhaps it can be clarified in the document. 
And also I wanted to know when 2 sets of ERO are included for both client and server layer, is there a way to indicate which is which? Perhaps order as done for OF in <of-list>? 

Regards,
Dhruv

> -----Original Message-----
> From: Pce [mailto:[email-masked]] On Behalf Of Adrian Farrel
> Sent: 20 October 2016 04:32
> To: [email-masked]
> Subject: [Pce] New revision: I-D Action:
> draft-ietf-pce-inter-layer-ext-10.txt
> 
> Hi PCE WG,
> 
> > I personally have no objection if the document is now updated to
> > include stateful PCE extensions as well, as suggested below by Adrian.
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce